Retrieve Label
curl --request GET \
--url https://api.teleskop.dev/labels/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.teleskop.dev/labels/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.teleskop.dev/labels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"statusCode": 200,
"data": {
"name": "<string>",
"id": "0062b94c-9531-45c5-a171-8019b5c39406",
"creator_id": "a76ea981-f007-44e6-b4d7-2dbdc61ce338",
"created_at": "2025-07-29T13:37:12.548Z",
"updated_at": "2025-07-29T13:37:12.548Z",
"description": "<string>",
"color": "<string>"
},
"message": "Request successful",
"metadata": {}
}Labels
Retrieve Label
Retrieve a single label by its id.
GET
/
labels
/
{id}
Retrieve Label
Authorizations
API Key for authentication
Path Parameters
Response
200 - application/json
Label retrieved successfully
Response status
Available options:
success, error Example:
"success"
HTTP status code
Example:
200
Response data
Show child attributes
Show child attributes
Response message
Example:
"Request successful"
Additional metadata
⌘I